import { enumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = enumStore.actions

/**
 * 买卖方向
 */
export enum BuyOrSell {
    Buy = 0, // 买
    Sell = 1, // 卖
}

/**
 * 获取买卖方向列表
 * @returns 
 */
export function getBuyOrSellList() {
    return [
        { label: '买入', value: BuyOrSell.Buy },
        { label: '卖出', value: BuyOrSell.Sell },
    ]
}

/**
 * 获取买卖方向名称
 * @returns 
 */
export function getBuyOrSellName(value: number) {
    return getEnumTypeName(getBuyOrSellList(), value)
}

/**
 * 获取交割方式类型列表
 * @returns 
 */
export function getTHJDeliveryModeList() {
    return getEnumTypeList('THJDeliveryMode')
}

/**
 * 获取交割方式类型名称
 * @returns 
 */
export function getTHJDeliveryModeName(value: number) {
    const enums = getTHJDeliveryModeList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取单据状态类型列表
 * @returns 
 */
export function getTHJOrderStatusList() {
    return getEnumTypeList('thjOrderStatus')
}

/**
 * 获取单据状态类型名称
 * @returns 
 */
export function getTHJOrderStatusName(value: number) {
    const enums = getTHJOrderStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取申请状态类型列表
 * @returns 
 */
export function getApplyStatusList() {
    return getEnumTypeList('WROutInApplyStatus2')
}

/**
 * 获取申请状态类型名称
 * @returns 
 */
export function getApplyStatusName(value: number) {
    const enums = getApplyStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取转让状态列表
 * @returns 
 */
export function getTHJTransferStatusList() {
    return getEnumTypeList('THJTransferStatus')
}

/**
 * 获取转让状态名称
 * @returns 
 */
export function getTHJTransferStatusName(value: number) {
    const enums = getTHJTransferStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取委托状态列表
 * @returns 
 */
export function getWRTradeOrderStatusList() {
    return getEnumTypeList('WRTradeOrderStatus')
}

/**
 * 获取委托状态名称
 * @returns 
 */
export function getWRTradeOrderStatusName(value: number) {
    const enums = getWRTradeOrderStatusList()
    return getEnumTypeName(enums, value)
}